#include "mbed.h"

DigitalOut enable(dp14);
DigitalOut myled[8] = {dp23, dp24, dp25, dp26, dp27, dp5, dp6, dp28}; 
DigitalOut kolona[4] = {dp16, dp15, dp17, dp18};
DigitalIn red[4] = {dp9, dp10, dp11, dp13};


int preset()
{
    for(int i=0; i<4; i++)
    {
        kolona[i] = 1;
        for(int j=0; j<4; j++)
        {
            if(red[j]==1)
            return 4*i+j;
        }
    }
    return -1;
}

int main() {
    enable=0;
    
    while(1) {
        for(int i=0; i<8; i++)
        myled[i] = 1;
        if(preset()==0)
        {
            myled[0] = 0;
            wait(0.2);
        }
        
        else if(preset()==1)
        {
            myled[1] = 0;
            wait(0.2);
        }
        
        else if(preset()==2)
        {
            myled[2] = 0;
            wait(0.2);
        }
        
        else if(preset()==4)
        {
            myled[3] = 0;
            wait(0.2);
        }
        
        else if(preset()==5)
        {
            myled[4] = 0;
            wait(0.2);
        }
        
        else if(preset()==6)
        {
            myled[5] = 0;
            wait(0.2);
        }
        
        else if(preset()==8)
        {
            myled[6] = 0;
            wait(0.2);
        }
        
        else if(preset()==9)
        {
            myled[7] = 0;
            wait(0.2);
        }
        
        else if(preset()==3)
        {
            myled[0] = 0;
            myled[1] = 0;
            wait(0.2);
        }
        
        else if(preset()==7)
        {
            myled[2] = 0;
            myled[3] = 0;
            wait(0.2);
        }
        
        else if(preset()==11)
        {
            myled[4] = 0;
            myled[5] = 0;
            wait(0.2);
        }
        
        else if(preset()==15)
        {
            myled[6] = 0;
            myled[7] = 0;
            wait(0.2);
        }
        
        else if(preset()==13)
        {
            for(int i=0; i<8; i++)
            myled[i] = 0;
            wait(0.2);
        }
        
        else if(preset()==12)
        {
            for(int i=0; i<8; i++)
            {
                myled[i]=0;
            }
            for(int i=0; i<8; i++)
            {
                myled[i]=1;
                wait(0.1);
                myled[i]=0;
            }
        }
        
        else if(preset()==14)
        {
            for(int i=0; i<8; i++)
            {
                myled[i]=0;
            }
            for(int i=7; i>=0; i--)
            {
                myled[i]=1;
                wait(0.1);
                myled[i]=0;
            }
        }
        
    }
}
